Page MenuHomePhabricator

iOS 6 crash on startup due to iOS 7 api usage
Closed, ResolvedPublic

Description

App crashes on startup on iOS 6 due to using NSURLComponents API to construct MW API endpoints, which is only available in iOS 7.

Event Timeline

BGerstle-WMF claimed this task.
BGerstle-WMF raised the priority of this task from to Unbreak Now!.
BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF moved this task to Code Review on the Mobile-App-Sprint-59-iOS board.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2015, 2:23 PM

Change 216692 had a related patch set uploaded (by Bgerstle):
build url using formats until iOS 6 is dropped

https://gerrit.wikimedia.org/r/216692

Change 216692 merged by jenkins-bot:
build url using formats until iOS 6 is dropped

https://gerrit.wikimedia.org/r/216692

Fjalapeno moved this task from Code Review to QA Signoff on the Mobile-App-Sprint-58-iOS board.

Checked with WikipediaApp/4.1.5.143.

Is there a reason this "Unbreak now" task is still open? No news for more than 10 days.

Fjalapeno closed this task as Resolved.Jul 3 2015, 5:48 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 14 2017, 2:39 AM